#include <bits/stdc++.h>
using namespace std;
int n,k,z[20005],krtina;
int main(){
    cin>>n>>k;
    for(int i=1; i<=n; i++){
        cin>>z[i];
    }
    for(int i=1; i<=n; i++){
      if(z[i]==k){
         krtina=i;
         break;
      }
    }
     if(k==z[n]){
         cout<<z[1]<<endl;
     }
     else{
         cout<<z[krtina+1]<<endl;
     }
 return 0;
}